Apache JMeter

## org.apache.jmeter.config
Class KeystoreConfig

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.config.ConfigTestElement
              org.apache.jmeter.config.KeystoreConfig

All Implemented Interfaces:
  Serializable, Cloneable, ConfigElement, Searchable, TestBean, TestElement, TestListener

    public class KeystoreConfig

extends ConfigTestElement
implements TestBean, TestListener

Configure Keystore

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.config.ConfigTestElement
`PASSWORD, USERNAME`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`KeystoreConfig()`

Method Summary
`String` `getEndIndex()`
`String` `getPreload()`
`String` `getStartIndex()`
`void` `setEndIndex(String endIndex)`
`void` `setPreload(String preload)`
`void` `setStartIndex(String startIndex)`
`void` `testEnded()` Called once for all threads after the end of a test.
`void` `testEnded(String host)` Called once for all threads after the end of a test.
`void` `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` `testStarted()` Called just before the start of the test from the main engine thread.
`void` `testStarted(String host)` Called just before the start of the test from the main engine thread.

Methods inherited from class org.apache.jmeter.config.ConfigTestElement
`addConfigElement, addTestElement, expectsModification`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.config.ConfigElement
`clone`

Constructor Detail

### KeystoreConfig

    public KeystoreConfig()

Method Detail

### testEnded

    public void testEnded()

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testEnded

    public void testEnded(String host)

  Description copied from interface: `TestListener`

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.stopTest()`

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

  Description copied from interface: `TestListener`
  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Specified by:
    `testIterationStart` in interface `TestListener`

### testStarted

    public void testStarted()

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### testStarted

    public void testStarted(String host)

  Description copied from interface: `TestListener`

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.run()`

### getEndIndex

    public String getEndIndex()

  Returns:
    the endIndex

### setEndIndex

    public void setEndIndex(String endIndex)

  Parameters:
    `endIndex` - the endIndex to set

### getStartIndex

    public String getStartIndex()

  Returns:
    the startIndex

### setStartIndex

    public void setStartIndex(String startIndex)

  Parameters:
    `startIndex` - the startIndex to set

### getPreload

    public String getPreload()

  Returns:
    the preload

### setPreload

    public void setPreload(String preload)

  Parameters:
    `preload` - the preload to set

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.